﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class UserControl_CustomPager : System.Web.UI.UserControl
{   
    public event EventHandler<PageChangedEventArgs> PageChanged;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void PagerPageList_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (PageChanged != null)
        {
            this.PageChanged(this, new PageChangedEventArgs(PagerPageList.SelectedIndex));
        }
    }

    public DropDownList PageList
    {
        get
        {
            return this.PagerPageList;
        }
    }

    public void SetCurrentPageNumber(int pageNumber)
    {
        if (pageNumber <= this.PagerPageList.Items.Count - 1)
        {
            this.PagerPageList.SelectedIndex = pageNumber;
        }
    }

    public void SetupPageList(int numberOfPages)
    {
        this.PagerPageList.Items.Clear();
        for (int pageNumber = 1; pageNumber <= numberOfPages; pageNumber++)
        {
            ListItem lstItem = new ListItem(pageNumber.ToString());
            this.PagerPageList.Items.Add(lstItem);
        }
    } 
}

public class PageChangedEventArgs : EventArgs
{
    public PageChangedEventArgs(int pageNumber)
    {
        this._pageNumber = pageNumber;
    }

    private int _pageNumber;

    public int PageNumber
    {
        get { return this._pageNumber; }
    }
}